diff --git a/doc/bash.ps b/doc/bash.ps
index 80a63f36..3a31e4c6 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -8831,74 +8838,74 @@ E F0(")A F4(string)A F0 4.973("q)C 2.473(uoting is performed within)
 -4.973 F F1(${)4.973 E F4(par)A(ameter)-.15 E F1(})A F0 -.15(ex)4.973 G
 (pansions).15 E(enclosed in double quotes.)184 444 Q
 (This option is enabled by def)5 E(ault.)-.1 E F1(failglob)144 456 Q F0
-1.424(If set, patterns which f)184 456 R 1.425
-(ail to match \214lenames during pathname e)-.1 F 1.425
+1.425(If set, patterns which f)184 456 R 1.425
+(ail to match \214lenames during pathname e)-.1 F 1.424
 (xpansion result in an)-.15 F -.15(ex)184 468 S(pansion error).15 E(.)
 -.55 E F1 -.25(fo)144 480 S -.18(rc).25 G(e_\214gnor).18 E(e)-.18 E F0
-.937(If set, the suf)184 492 R<8c78>-.25 E .936(es speci\214ed by the)
+.936(If set, the suf)184 492 R<8c78>-.25 E .936(es speci\214ed by the)
 -.15 F F2(FIGNORE)3.436 E F0 .936(shell v)3.186 F .936(ariable cause w)
--.25 F .936(ords to be ignored)-.1 F .32(when performing w)184 504 R .32
+-.25 F .937(ords to be ignored)-.1 F .32(when performing w)184 504 R .32
 (ord completion e)-.1 F -.15(ve)-.25 G 2.82(ni).15 G 2.82(ft)-2.82 G .32
-(he ignored w)-2.82 F .32(ords are the only possible com-)-.1 F 2.948
-(pletions. See)184 516 R F2 .448(SHELL V)2.948 F(ARIABLES)-1.215 E F0
-(abo)2.698 E .748 -.15(ve f)-.15 H .448(or a description of).15 F F2
-(FIGNORE)2.947 E F3(.)A F0 .447(This option is)4.947 F(enabled by def)
-184 528 Q(ault.)-.1 E F1(globasciiranges)144 540 Q F0 2.518
+(he ignored w)-2.82 F .32(ords are the only possible com-)-.1 F 2.947
+(pletions. See)184 516 R F2 .447(SHELL V)2.947 F(ARIABLES)-1.215 E F0
+(abo)2.697 E .747 -.15(ve f)-.15 H .448(or a description of).15 F F2
+(FIGNORE)2.948 E F3(.)A F0 .448(This option is)4.948 F(enabled by def)
+184 528 Q(ault.)-.1 E F1(globasciiranges)144 540 Q F0 2.519
 (If set, range e)184 552 R 2.519
-(xpressions used in pattern matching brack)-.15 F 2.519(et e)-.1 F 2.519
-(xpressions \(see)-.15 F F2 -.09(Pa)5.019 G(tter).09 E(n)-.135 E
-(Matching)184 564 Q F0(abo)2.965 E -.15(ve)-.15 G 3.215(\)b).15 G(eha)
--3.215 E 1.015 -.15(ve a)-.2 H 3.214(si).15 G 3.214(fi)-3.214 G 3.214
+(xpressions used in pattern matching brack)-.15 F 2.518(et e)-.1 F 2.518
+(xpressions \(see)-.15 F F2 -.09(Pa)5.018 G(tter).09 E(n)-.135 E
+(Matching)184 564 Q F0(abo)2.964 E -.15(ve)-.15 G 3.214(\)b).15 G(eha)
+-3.214 E 1.014 -.15(ve a)-.2 H 3.214(si).15 G 3.214(fi)-3.214 G 3.214
 (nt)-3.214 G .714(he traditional C locale when performing comparisons.)
 -3.214 F 1.02(That is, the current locale')184 576 R 3.52(sc)-.55 G 1.02
 (ollating sequence is not tak)-3.52 F 1.02(en into account, so)-.1 F F1
-(b)3.52 E F0 1.02(will not)3.52 F .957(collate between)184 588 R F1(A)
-3.457 E F0(and)3.457 E F1(B)3.457 E F0 3.457(,a)C .957(nd upper)-3.457 F
-.957(-case and lo)-.2 F(wer)-.25 E .956
+(b)3.52 E F0 1.02(will not)3.52 F .956(collate between)184 588 R F1(A)
+3.456 E F0(and)3.456 E F1(B)3.456 E F0 3.457(,a)C .957(nd upper)-3.457 F
+.957(-case and lo)-.2 F(wer)-.25 E .957
 (-case ASCII characters will collate)-.2 F(together)184 600 Q(.)-.55 E
-F1(globstar)144 612 Q F0 .518(If set, the pattern)184 612 R F1(**)3.018
-E F0 .519(used in a pathname e)3.019 F .519(xpansion conte)-.15 F .519
-(xt will match all \214les and zero)-.15 F .432
+F1(globstar)144 612 Q F0 .519(If set, the pattern)184 612 R F1(**)3.019
+E F0 .519(used in a pathname e)3.019 F .519(xpansion conte)-.15 F .518
+(xt will match all \214les and zero)-.15 F .431
 (or more directories and subdirectories.)184 624 R .431
-(If the pattern is follo)5.432 F .431(wed by a)-.25 F F1(/)2.931 E F0
-2.931(,o)C .431(nly directories)-2.931 F(and subdirectories match.)184
+(If the pattern is follo)5.431 F .432(wed by a)-.25 F F1(/)2.932 E F0
+2.932(,o)C .432(nly directories)-2.932 F(and subdirectories match.)184
 636 Q F1(gnu_errfmt)144 648 Q F0(If set, shell error messages are writt\
 en in the standard GNU error message format.)184 660 Q F1(histappend)144
 672 Q F0 .676
 (If set, the history list is appended to the \214le named by the v)184
-684 R .676(alue of the)-.25 F F2(HISTFILE)3.177 E F0 -.25(va)2.927 G
+684 R .676(alue of the)-.25 F F2(HISTFILE)3.176 E F0 -.25(va)2.926 G
 (ri-).25 E(able when the shell e)184 696 Q(xits, rather than o)-.15 E
 -.15(ve)-.15 G(rwriting the \214le.).15 E(GNU Bash 4.4)72 768 Q
-(2017 June 23)148.175 E(73)197.335 E 0 Cg EP
+(2017 October 7)143.735 E(73)192.895 E 0 Cg EP
 %%Page: 74 74
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 137.14(SH\(1\) General).35 F
 (Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E/F1 10/Times-Bold@0
-SF(histr)144 84 Q(eedit)-.18 E F0 .576(If set, and)184 96 R F1 -.18(re)
-3.076 G(adline).18 E F0 .575(is being used, a user is gi)3.076 F -.15
-(ve)-.25 G 3.075(nt).15 G .575(he opportunity to re-edit a f)-3.075 F
-.575(ailed his-)-.1 F(tory substitution.)184 108 Q F1(histv)144 120 Q
-(erify)-.1 E F0 .402(If set, and)184 132 R F1 -.18(re)2.903 G(adline).18
+SF(histr)144 84 Q(eedit)-.18 E F0 .575(If set, and)184 96 R F1 -.18(re)
+3.075 G(adline).18 E F0 .575(is being used, a user is gi)3.075 F -.15
+(ve)-.25 G 3.075(nt).15 G .576(he opportunity to re-edit a f)-3.075 F
+.576(ailed his-)-.1 F(tory substitution.)184 108 Q F1(histv)144 120 Q
+(erify)-.1 E F0 .403(If set, and)184 132 R F1 -.18(re)2.903 G(adline).18
 E F0 .403
 (is being used, the results of history substitution are not immediately)
-2.903 F .662(passed to the shell parser)184 144 R 5.662(.I)-.55 G .661
-(nstead, the resulting line is loaded into the)-5.662 F F1 -.18(re)3.161
-G(adline).18 E F0(editing)3.161 E -.2(bu)184 156 S -.25(ff).2 G(er).25 E
+2.903 F .661(passed to the shell parser)184 144 R 5.661(.I)-.55 G .662
+(nstead, the resulting line is loaded into the)-5.661 F F1 -.18(re)3.162
+G(adline).18 E F0(editing)3.162 E -.2(bu)184 156 S -.25(ff).2 G(er).25 E
 2.5(,a)-.4 G(llo)-2.5 E(wing further modi\214cation.)-.25 E F1
-(hostcomplete)144 168 Q F0 1.181(If set, and)184 180 R F1 -.18(re)3.681
-G(adline).18 E F0 1.181(is being used,)3.681 F F1(bash)3.682 E F0 1.182
-(will attempt to perform hostname completion)3.682 F 1.381(when a w)184
-192 R 1.381(ord containing a)-.1 F F1(@)3.881 E F0 1.381
-(is being completed \(see)3.881 F F1(Completing)3.88 E F0(under)3.88 E
-/F2 9/Times-Bold@0 SF(READLINE)3.88 E F0(abo)184 204 Q -.15(ve)-.15 G
+(hostcomplete)144 168 Q F0 1.182(If set, and)184 180 R F1 -.18(re)3.682
+G(adline).18 E F0 1.182(is being used,)3.682 F F1(bash)3.682 E F0 1.181
+(will attempt to perform hostname completion)3.681 F 1.38(when a w)184
+192 R 1.38(ord containing a)-.1 F F1(@)3.881 E F0 1.381
+(is being completed \(see)3.881 F F1(Completing)3.881 E F0(under)3.881 E
+/F2 9/Times-Bold@0 SF(READLINE)3.881 E F0(abo)184 204 Q -.15(ve)-.15 G
 2.5(\). This).15 F(is enabled by def)2.5 E(ault.)-.1 E F1(huponexit)144
 216 Q F0(If set,)184 228 Q F1(bash)2.5 E F0(will send)2.5 E F2(SIGHUP)
 2.5 E F0(to all jobs when an interacti)2.25 E .3 -.15(ve l)-.25 H
 (ogin shell e).15 E(xits.)-.15 E F1(inherit_err)144 240 Q(exit)-.18 E F0
-.219(If set, command substitution inherits the v)184 252 R .219
-(alue of the)-.25 F F1(err)2.719 E(exit)-.18 E F0 .22
+.22(If set, command substitution inherits the v)184 252 R .219
+(alue of the)-.25 F F1(err)2.719 E(exit)-.18 E F0 .219
 (option, instead of unsetting)2.719 F(it in the subshell en)184 264 Q
 2.5(vironment. This)-.4 F(option is enabled when)2.5 E/F3 10
 /Times-Italic@0 SF(posix mode)2.5 E F0(is enabled.)2.5 E F1(interacti)
@@ -8907,66 +8914,66 @@ G(adline).18 E F0 1.181(is being used,)3.681 F F1(bash)3.682 E F0 1.182
 .33(to cause that w)2.83 F .33(ord and all remaining characters on)-.1 F
 .967(that line to be ignored in an interacti)184 300 R 1.267 -.15(ve s)
 -.25 H .967(hell \(see).15 F F2(COMMENTS)3.467 E F0(abo)3.217 E -.15(ve)
--.15 G 3.467(\). This).15 F .968(option is)3.468 F(enabled by def)184
+-.15 G 3.467(\). This).15 F .967(option is)3.467 F(enabled by def)184
 312 Q(ault.)-.1 E F1(lastpipe)144 324 Q F0 .066
 (If set, and job control is not acti)184 324 R -.15(ve)-.25 G 2.566(,t)
 .15 G .066(he shell runs the last command of a pipeline not e)-2.566 F
 -.15(xe)-.15 G(-).15 E(cuted in the background in the current shell en)
-184 336 Q(vironment.)-.4 E F1(lithist)144 348 Q F0 .654(If set, and the)
-184 348 R F1(cmdhist)3.154 E F0 .654
+184 336 Q(vironment.)-.4 E F1(lithist)144 348 Q F0 .655(If set, and the)
+184 348 R F1(cmdhist)3.155 E F0 .654
 (option is enabled, multi-line commands are sa)3.154 F -.15(ve)-.2 G
-3.155(dt).15 G 3.155(ot)-3.155 G .655(he history)-3.155 F
+3.154(dt).15 G 3.154(ot)-3.154 G .654(he history)-3.154 F
 (with embedded ne)184 360 Q
 (wlines rather than using semicolon separators where possible.)-.25 E F1
-(localv)144 372 Q(ar_inherit)-.1 E F0 .422(If set, local v)184 384 R
+(localv)144 372 Q(ar_inherit)-.1 E F0 .421(If set, local v)184 384 R
 .422(ariables inherit the v)-.25 F .422(alue and attrib)-.25 F .422
 (utes of a v)-.2 F .422(ariable of the same name that)-.25 F -.15(ex)184
-396 S .173(ists at a pre).15 F .173(vious scope before an)-.25 F 2.673
-(yn)-.15 G .673 -.25(ew va)-2.673 H .173(lue is assigned.).25 F .174
-(The nameref attrib)5.174 F .174(ute is not)-.2 F(inherited.)184 408 Q
+396 S .174(ists at a pre).15 F .174(vious scope before an)-.25 F 2.673
+(yn)-.15 G .673 -.25(ew va)-2.673 H .173(lue is assigned.).25 F .173
+(The nameref attrib)5.173 F .173(ute is not)-.2 F(inherited.)184 408 Q
 F1(login_shell)144 420 Q F0 .486
 (The shell sets this option if it is started as a login shell \(see)184
-432 R F2(INV)2.986 E(OCA)-.405 E(TION)-.855 E F0(abo)2.736 E -.15(ve)
--.15 G 2.986(\). The).15 F -.25(va)184 444 S(lue may not be changed.).25
-E F1(mailwar)144 456 Q(n)-.15 E F0 .814(If set, and a \214le that)184
-468 R F1(bash)3.314 E F0 .815
-(is checking for mail has been accessed since the last time it)3.314 F
+432 R F2(INV)2.987 E(OCA)-.405 E(TION)-.855 E F0(abo)2.737 E -.15(ve)
+-.15 G 2.987(\). The).15 F -.25(va)184 444 S(lue may not be changed.).25
+E F1(mailwar)144 456 Q(n)-.15 E F0 .815(If set, and a \214le that)184
+468 R F1(bash)3.315 E F0 .814
+(is checking for mail has been accessed since the last time it)3.315 F
 -.1(wa)184 480 S 2.5(sc).1 G(heck)-2.5 E(ed, the message `)-.1 E
 (`The mail in)-.74 E F3(mail\214le)2.5 E F0(has been read')2.5 E 2.5('i)
 -.74 G 2.5(sd)-2.5 G(isplayed.)-2.5 E F1(no_empty_cmd_completion)144 492
-Q F0 .325(If set, and)184 504 R F1 -.18(re)2.825 G(adline).18 E F0 .325
-(is being used,)2.825 F F1(bash)2.824 E F0 .324
-(will not attempt to search the)2.824 F F2 -.666(PA)2.824 G(TH)-.189 E
-F0 .324(for possible)2.574 F
+Q F0 .324(If set, and)184 504 R F1 -.18(re)2.824 G(adline).18 E F0 .324
+(is being used,)2.824 F F1(bash)2.824 E F0 .324
+(will not attempt to search the)2.824 F F2 -.666(PA)2.825 G(TH)-.189 E
+F0 .325(for possible)2.575 F
 (completions when completion is attempted on an empty line.)184 516 Q F1
-(nocaseglob)144 528 Q F0 .436(If set,)184 540 R F1(bash)2.936 E F0 .436
-(matches \214lenames in a case\255insensiti)2.936 F .737 -.15(ve f)-.25
-H .437(ashion when performing pathname).05 F -.15(ex)184 552 S
+(nocaseglob)144 528 Q F0 .437(If set,)184 540 R F1(bash)2.937 E F0 .436
+(matches \214lenames in a case\255insensiti)2.937 F .736 -.15(ve f)-.25
+H .436(ashion when performing pathname).05 F -.15(ex)184 552 S
 (pansion \(see).15 E F1 -.1(Pa)2.5 G(thname Expansion).1 E F0(abo)2.5 E
--.15(ve)-.15 G(\).).15 E F1(nocasematch)144 564 Q F0 1.194(If set,)184
-576 R F1(bash)3.694 E F0 1.194(matches patterns in a case\255insensiti)
-3.694 F 1.493 -.15(ve f)-.25 H 1.193(ashion when performing matching).05
+-.15(ve)-.15 G(\).).15 E F1(nocasematch)144 564 Q F0 1.193(If set,)184
+576 R F1(bash)3.693 E F0 1.194(matches patterns in a case\255insensiti)
+3.693 F 1.494 -.15(ve f)-.25 H 1.194(ashion when performing matching).05
 F .551(while e)184 588 R -.15(xe)-.15 G(cuting).15 E F1(case)3.051 E F0
 (or)3.051 E F1([[)3.051 E F0 .551
 (conditional commands, when performing pattern substitution)3.051 F -.1
-(wo)184 600 S .623(rd e).1 F .623(xpansions, or when \214ltering possib\
+(wo)184 600 S .622(rd e).1 F .623(xpansions, or when \214ltering possib\
 le completions as part of programmable com-)-.15 F(pletion.)184 612 Q F1
-(nullglob)144 624 Q F0 .854(If set,)184 636 R F1(bash)3.354 E F0(allo)
-3.354 E .855(ws patterns which match no \214les \(see)-.25 F F1 -.1(Pa)
-3.355 G .855(thname Expansion).1 F F0(abo)3.355 E -.15(ve)-.15 G 3.355
-(\)t).15 G(o)-3.355 E -.15(ex)184 648 S
+(nullglob)144 624 Q F0 .855(If set,)184 636 R F1(bash)3.355 E F0(allo)
+3.355 E .855(ws patterns which match no \214les \(see)-.25 F F1 -.1(Pa)
+3.354 G .854(thname Expansion).1 F F0(abo)3.354 E -.15(ve)-.15 G 3.354
+(\)t).15 G(o)-3.354 E -.15(ex)184 648 S
 (pand to a null string, rather than themselv).15 E(es.)-.15 E F1(pr)144
-660 Q(ogcomp)-.18 E F0 .677(If set, the programmable completion f)184
-672 R .677(acilities \(see)-.1 F F1(Pr)3.176 E .676
-(ogrammable Completion)-.18 F F0(abo)3.176 E -.15(ve)-.15 G(\)).15 E
+660 Q(ogcomp)-.18 E F0 .676(If set, the programmable completion f)184
+672 R .677(acilities \(see)-.1 F F1(Pr)3.177 E .677
+(ogrammable Completion)-.18 F F0(abo)3.177 E -.15(ve)-.15 G(\)).15 E
 (are enabled.)184 684 Q(This option is enabled by def)5 E(ault.)-.1 E F1
-(pr)144 696 Q(omptv)-.18 E(ars)-.1 E F0 1.447
+(pr)144 696 Q(omptv)-.18 E(ars)-.1 E F0 1.448
 (If set, prompt strings under)184 708 R 1.448(go parameter e)-.18 F
-1.448(xpansion, command substitution, arithmetic)-.15 F -.15(ex)184 720
-S .171(pansion, and quote remo).15 F -.25(va)-.15 G 2.67(la).25 G .17
-(fter being e)-2.67 F .17(xpanded as described in)-.15 F F2(PR)2.67 E
-(OMPTING)-.27 E F0(abo)2.42 E -.15(ve)-.15 G(.).15 E(GNU Bash 4.4)72 768
-Q(2017 June 23)148.175 E(74)197.335 E 0 Cg EP
+1.447(xpansion, command substitution, arithmetic)-.15 F -.15(ex)184 720
+S .17(pansion, and quote remo).15 F -.25(va)-.15 G 2.67(la).25 G .17
+(fter being e)-2.67 F .17(xpanded as described in)-.15 F F2(PR)2.671 E
+(OMPTING)-.27 E F0(abo)2.421 E -.15(ve)-.15 G(.).15 E(GNU Bash 4.4)72
+768 Q(2017 October 7)143.735 E(74)192.895 E 0 Cg EP
 %%Page: 75 75
 %%BeginPageSetup
 BP
@@ -8982,44 +8989,44 @@ SF -.18(re)144 96 S(stricted_shell).18 E F0 1.069
 (This is not reset when the startup \214les are e)5.36 F -.15(xe)-.15 G
 (-).15 E(cuted, allo)184 132 Q(wing the startup \214les to disco)-.25 E
 -.15(ve)-.15 G 2.5(rw).15 G(hether or not a shell is restricted.)-2.5 E
-F1(shift_v)144 144 Q(erbose)-.1 E F0 .501(If set, the)184 156 R F1
-(shift)3.001 E F0 -.2(bu)3.001 G .501
-(iltin prints an error message when the shift count e).2 F .502
+F1(shift_v)144 144 Q(erbose)-.1 E F0 .502(If set, the)184 156 R F1
+(shift)3.002 E F0 -.2(bu)3.002 G .501
+(iltin prints an error message when the shift count e).2 F .501
 (xceeds the number)-.15 F(of positional parameters.)184 168 Q F1(sour)
-144 180 Q(cepath)-.18 E F0 .771(If set, the)184 192 R F1(sour)3.271 E
-(ce)-.18 E F0(\()3.271 E F1(.)A F0 3.271(\)b)C .771(uiltin uses the v)
--3.471 F .771(alue of)-.25 F F2 -.666(PA)3.27 G(TH)-.189 E F0 .77
-(to \214nd the directory containing the)3.02 F(\214le supplied as an ar)
-184 204 Q 2.5(gument. This)-.18 F(option is enabled by def)2.5 E(ault.)
--.1 E F1(xpg_echo)144 216 Q F0(If set, the)184 228 Q F1(echo)2.5 E F0
--.2(bu)2.5 G(iltin e).2 E(xpands backslash-escape sequences by def)-.15
-E(ault.)-.1 E F1(suspend)108 244.8 Q F0([)2.5 E F1<ad66>A F0(])A 1.001
-(Suspend the e)144 256.8 R -.15(xe)-.15 G 1.001
-(cution of this shell until it recei).15 F -.15(ve)-.25 G 3.501(sa).15 G
-F2(SIGCONT)A F0 3.502(signal. A)3.252 F 1.002(login shell cannot be)
-3.502 F .023(suspended; the)144 268.8 R F1<ad66>2.523 E F0 .023
-(option can be used to o)2.523 F -.15(ve)-.15 G .022
-(rride this and force the suspension.).15 F .022(The return status is)
-5.022 F 2.5(0u)144 280.8 S(nless the shell is a login shell and)-2.5 E
+144 180 Q(cepath)-.18 E F0 .77(If set, the)184 192 R F1(sour)3.27 E(ce)
+-.18 E F0(\()3.27 E F1(.)A F0 3.27(\)b)C .77(uiltin uses the v)-3.47 F
+.771(alue of)-.25 F F2 -.666(PA)3.271 G(TH)-.189 E F0 .771
+(to \214nd the directory containing the)3.021 F
+(\214le supplied as an ar)184 204 Q 2.5(gument. This)-.18 F
+(option is enabled by def)2.5 E(ault.)-.1 E F1(xpg_echo)144 216 Q F0
+(If set, the)184 228 Q F1(echo)2.5 E F0 -.2(bu)2.5 G(iltin e).2 E
+(xpands backslash-escape sequences by def)-.15 E(ault.)-.1 E F1(suspend)
+108 244.8 Q F0([)2.5 E F1<ad66>A F0(])A 1.002(Suspend the e)144 256.8 R
+-.15(xe)-.15 G 1.002(cution of this shell until it recei).15 F -.15(ve)
+-.25 G 3.501(sa).15 G F2(SIGCONT)A F0 3.501(signal. A)3.251 F 1.001
+(login shell cannot be)3.501 F .022(suspended; the)144 268.8 R F1<ad66>
+2.522 E F0 .022(option can be used to o)2.522 F -.15(ve)-.15 G .022
+(rride this and force the suspension.).15 F .023(The return status is)
+5.023 F 2.5(0u)144 280.8 S(nless the shell is a login shell and)-2.5 E
 F1<ad66>2.5 E F0(is not supplied, or if job control is not enabled.)2.5
 E F1(test)108 297.6 Q/F3 10/Times-Italic@0 SF -.2(ex)2.5 G(pr).2 E F1([)
-108 309.6 Q F3 -.2(ex)2.5 G(pr).2 E F1(])2.5 E F0 .877
-(Return a status of 0 \(true\) or 1 \(f)144 309.6 R .878
-(alse\) depending on the e)-.1 F -.25(va)-.25 G .878
+108 309.6 Q F3 -.2(ex)2.5 G(pr).2 E F1(])2.5 E F0 .878
+(Return a status of 0 \(true\) or 1 \(f)144 309.6 R .877
+(alse\) depending on the e)-.1 F -.25(va)-.25 G .877
 (luation of the conditional e).25 F(xpression)-.15 E F3 -.2(ex)144 321.6
 S(pr).2 E F0 5.53(.E).73 G .53
 (ach operator and operand must be a separate ar)-5.53 F 3.03
-(gument. Expressions)-.18 F .53(are composed of the)3.03 F 3.079
-(primaries described abo)144 333.6 R 3.379 -.15(ve u)-.15 H(nder).15 E
-F2(CONDITION)5.579 E 3.079(AL EXPRESSIONS)-.18 F/F4 9/Times-Roman@0 SF
-(.)A F1(test)7.579 E F0 3.08(does not accept an)5.58 F(y)-.15 E
+(gument. Expressions)-.18 F .53(are composed of the)3.03 F 3.08
+(primaries described abo)144 333.6 R 3.38 -.15(ve u)-.15 H(nder).15 E F2
+(CONDITION)5.58 E 3.079(AL EXPRESSIONS)-.18 F/F4 9/Times-Roman@0 SF(.)A
+F1(test)7.579 E F0 3.079(does not accept an)5.579 F(y)-.15 E
 (options, nor does it accept and ignore an ar)144 345.6 Q(gument of)-.18
-E F1<adad>2.5 E F0(as signifying the end of options.)2.5 E .786
-(Expressions may be combined using the follo)144 363.6 R .785
-(wing operators, listed in decreasing order of prece-)-.25 F 3.411
-(dence. The)144 375.6 R -.25(eva)3.411 G .911
-(luation depends on the number of ar).25 F .912(guments; see belo)-.18 F
-4.712 -.65(w. O)-.25 H .912(perator precedence is).65 F
+E F1<adad>2.5 E F0(as signifying the end of options.)2.5 E .785
+(Expressions may be combined using the follo)144 363.6 R .786
+(wing operators, listed in decreasing order of prece-)-.25 F 3.412
+(dence. The)144 375.6 R -.25(eva)3.412 G .912
+(luation depends on the number of ar).25 F .911(guments; see belo)-.18 F
+4.711 -.65(w. O)-.25 H .911(perator precedence is).65 F
 (used when there are \214v)144 387.6 Q 2.5(eo)-.15 G 2.5(rm)-2.5 G
 (ore ar)-2.5 E(guments.)-.18 E F1(!)144 399.6 Q F3 -.2(ex)2.5 G(pr).2 E
 F0 -.35(Tr)180 399.6 S(ue if).35 E F3 -.2(ex)2.5 G(pr).2 E F0(is f)3.23
@@ -9042,9 +9049,9 @@ F1([)2.5 E F0 -.25(eva)2.5 G(luate conditional e).25 E
 E 2.5(2a)144 554.4 S -.18(rg)-2.5 G(uments).18 E .37(If the \214rst ar)
 180 566.4 R .37(gument is)-.18 F F1(!)2.87 E F0 2.87(,t)C .37(he e)-2.87
 F .37(xpression is true if and only if the second ar)-.15 F .37
-(gument is null.)-.18 F .38(If the \214rst ar)180 578.4 R .38
-(gument is one of the unary conditional operators listed abo)-.18 F .679
--.15(ve u)-.15 H(nder).15 E F2(CONDI-)2.879 E(TION)180 590.4 Q .552
+(gument is null.)-.18 F .379(If the \214rst ar)180 578.4 R .38
+(gument is one of the unary conditional operators listed abo)-.18 F .68
+-.15(ve u)-.15 H(nder).15 E F2(CONDI-)2.88 E(TION)180 590.4 Q .553
 (AL EXPRESSIONS)-.18 F F4(,)A F0 .552(the e)2.802 F .552
 (xpression is true if the unary test is true.)-.15 F .552
 (If the \214rst ar)5.552 F(gu-)-.18 E(ment is not a v)180 602.4 Q
@@ -9055,34 +9062,34 @@ F .37(xpression is true if and only if the second ar)-.15 F .37
 (If the second ar)5.236 F .236(gument is one of)-.18 F .855
 (the binary conditional operators listed abo)180 638.4 R 1.155 -.15
 (ve u)-.15 H(nder).15 E F2(CONDITION)3.355 E .855(AL EXPRESSIONS)-.18 F
-F4(,)A F0(the)3.105 E .579(result of the e)180 650.4 R .578(xpression i\
+F4(,)A F0(the)3.104 E .578(result of the e)180 650.4 R .578(xpression i\
 s the result of the binary test using the \214rst and third ar)-.15 F
-(guments)-.18 E 1.332(as operands.)180 662.4 R(The)6.332 E F1<ad61>3.832
-E F0(and)3.832 E F1<ad6f>3.832 E F0 1.333
+(guments)-.18 E 1.333(as operands.)180 662.4 R(The)6.333 E F1<ad61>3.833
+E F0(and)3.833 E F1<ad6f>3.832 E F0 1.332
 (operators are considered binary operators when there are)3.832 F .558
 (three ar)180 674.4 R 3.058(guments. If)-.18 F .558(the \214rst ar)3.058
 F .558(gument is)-.18 F F1(!)3.058 E F0 3.058(,t)C .558(he v)-3.058 F
 .558(alue is the ne)-.25 F -.05(ga)-.15 G .558(tion of the tw).05 F
-(o-ar)-.1 E(gument)-.18 E .52(test using the second and third ar)180
-686.4 R 3.021(guments. If)-.18 F .521(the \214rst ar)3.021 F .521
-(gument is e)-.18 F(xactly)-.15 E F1(\()3.021 E F0 .521(and the third)
-3.021 F(ar)180 698.4 Q .485(gument is e)-.18 F(xactly)-.15 E F1(\))2.985
-E F0 2.985(,t)C .485(he result is the one-ar)-2.985 F .485
+(o-ar)-.1 E(gument)-.18 E .521(test using the second and third ar)180
+686.4 R 3.021(guments. If)-.18 F .521(the \214rst ar)3.021 F .52
+(gument is e)-.18 F(xactly)-.15 E F1(\()3.02 E F0 .52(and the third)3.02
+F(ar)180 698.4 Q .485(gument is e)-.18 F(xactly)-.15 E F1(\))2.985 E F0
+2.985(,t)C .485(he result is the one-ar)-2.985 F .485
 (gument test of the second ar)-.18 F 2.985(gument. Other)-.18 F(-)-.2 E
 (wise, the e)180 710.4 Q(xpression is f)-.15 E(alse.)-.1 E(GNU Bash 4.4)
-72 768 Q(2017 June 23)148.175 E(75)197.335 E 0 Cg EP
+72 768 Q(2017 October 7)143.735 E(75)192.895 E 0 Cg EP
 %%Page: 76 76
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 137.14(SH\(1\) General).35 F
 (Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E 2.5(4a)144 84 S
--.18(rg)-2.5 G(uments).18 E .384(If the \214rst ar)180 96 R .384
-(gument is)-.18 F/F1 10/Times-Bold@0 SF(!)2.884 E F0 2.885(,t)C .385
-(he result is the ne)-2.885 F -.05(ga)-.15 G .385(tion of the three-ar)
-.05 F .385(gument e)-.18 F .385(xpression com-)-.15 F 1.648
+-.18(rg)-2.5 G(uments).18 E .385(If the \214rst ar)180 96 R .385
+(gument is)-.18 F/F1 10/Times-Bold@0 SF(!)2.885 E F0 2.885(,t)C .385
+(he result is the ne)-2.885 F -.05(ga)-.15 G .384(tion of the three-ar)
+.05 F .384(gument e)-.18 F .384(xpression com-)-.15 F 1.647
 (posed of the remaining ar)180 108 R 4.147(guments. Otherwise,)-.18 F
-1.647(the e)4.147 F 1.647(xpression is parsed and e)-.15 F -.25(va)-.25
+1.647(the e)4.147 F 1.648(xpression is parsed and e)-.15 F -.25(va)-.25
 G(luated).25 E(according to precedence using the rules listed abo)180
 120 Q -.15(ve)-.15 G(.).15 E 2.5(5o)144 132 S 2.5(rm)-2.5 G(ore ar)-2.5
 E(guments)-.18 E 1.635(The e)180 144 R 1.635(xpression is parsed and e)
@@ -9095,72 +9102,71 @@ E F1(times)108 190.8 Q F0 1.229(Print the accumulated user and system t\
 imes for the shell and for processes run from the shell.)144 190.8 R
 (The return status is 0.)144 202.8 Q F1(trap)108 219.6 Q F0([)2.5 E F1
 (\255lp)A F0 2.5(][)C([)-2.5 E/F2 10/Times-Italic@0 SF(ar)A(g)-.37 E F0
-(])A F2(sigspec)2.5 E F0(...])2.5 E .702(The command)144 231.6 R F2(ar)
-3.532 E(g)-.37 E F0 .702(is to be read and e)3.422 F -.15(xe)-.15 G .702
-(cuted when the shell recei).15 F -.15(ve)-.25 G 3.203(ss).15 G
-(ignal\(s\))-3.203 E F2(sigspec)3.203 E F0 5.703(.I).31 G(f)-5.703 E F2
-(ar)3.533 E(g)-.37 E F0(is)3.423 E .609(absent \(and there is a single)
+(])A F2(sigspec)2.5 E F0(...])2.5 E .703(The command)144 231.6 R F2(ar)
+3.533 E(g)-.37 E F0 .703(is to be read and e)3.423 F -.15(xe)-.15 G .702
+(cuted when the shell recei).15 F -.15(ve)-.25 G 3.202(ss).15 G
+(ignal\(s\))-3.202 E F2(sigspec)3.202 E F0 5.702(.I).31 G(f)-5.702 E F2
+(ar)3.532 E(g)-.37 E F0(is)3.422 E .608(absent \(and there is a single)
 144 243.6 R F2(sigspec)3.108 E F0 3.108(\)o)C(r)-3.108 E F1<ad>3.108 E
 F0 3.108(,e)C .608
 (ach speci\214ed signal is reset to its original disposition)-3.108 F
-.658(\(the v)144 255.6 R .658(alue it had upon entrance to the shell\).)
--.25 F(If)5.658 E F2(ar)3.488 E(g)-.37 E F0 .659
+.659(\(the v)144 255.6 R .659(alue it had upon entrance to the shell\).)
+-.25 F(If)5.658 E F2(ar)3.488 E(g)-.37 E F0 .658
 (is the null string the signal speci\214ed by each)3.378 F F2(sigspec)
-144.34 267.6 Q F0 .581
-(is ignored by the shell and by the commands it in)3.391 F -.2(vo)-.4 G
--.1(ke).2 G 3.08(s. If).1 F F2(ar)3.41 E(g)-.37 E F0 .58
-(is not present and)3.3 F F1<ad70>3.08 E F0(has)3.08 E 1.214
+144.34 267.6 Q F0 .58(is ignored by the shell and by the commands it in)
+3.39 F -.2(vo)-.4 G -.1(ke).2 G 3.081(s. If).1 F F2(ar)3.411 E(g)-.37 E
+F0 .581(is not present and)3.301 F F1<ad70>3.081 E F0(has)3.081 E 1.215
 (been supplied, then the trap commands associated with each)144 279.6 R
-F2(sigspec)4.054 E F0 1.215(are displayed.)4.024 F 1.215(If no ar)6.215
+F2(sigspec)4.054 E F0 1.214(are displayed.)4.024 F 1.214(If no ar)6.214
 F(gu-)-.18 E .86(ments are supplied or if only)144 291.6 R F1<ad70>3.36
 E F0 .86(is gi)3.36 F -.15(ve)-.25 G(n,).15 E F1(trap)3.36 E F0 .86
 (prints the list of commands associated with each)3.36 F 2.83
 (signal. The)144 303.6 R F1<ad6c>2.83 E F0 .33(option causes the shell \
-to print a list of signal names and their corresponding num-)2.83 F
-4.311(bers. Each)144 315.6 R F2(sigspec)4.651 E F0 1.811
-(is either a signal name de\214ned in <)4.621 F F2(signal.h)A F0 1.81
-(>, or a signal number)B 6.81(.S)-.55 G(ignal)-6.81 E
+to print a list of signal names and their corresponding num-)2.83 F 4.31
+(bers. Each)144 315.6 R F2(sigspec)4.65 E F0 1.811
+(is either a signal name de\214ned in <)4.62 F F2(signal.h)A F0 1.811
+(>, or a signal number)B 6.811(.S)-.55 G(ignal)-6.811 E
 (names are case insensiti)144 327.6 Q .3 -.15(ve a)-.25 H(nd the).15 E
-/F3 9/Times-Bold@0 SF(SIG)2.5 E F0(pre\214x is optional.)2.25 E 1.648
-(If a)144 345.6 R F2(sigspec)4.488 E F0(is)4.458 E F3(EXIT)4.148 E F0
-1.648(\(0\) the command)3.898 F F2(ar)4.479 E(g)-.37 E F0 1.649(is e)
-4.369 F -.15(xe)-.15 G 1.649(cuted on e).15 F 1.649(xit from the shell.)
--.15 F 1.649(If a)6.649 F F2(sigspec)4.489 E F0(is)4.459 E F3(DEB)144
-357.6 Q(UG)-.09 E/F4 9/Times-Roman@0 SF(,)A F0 1.168(the command)3.418 F
-F2(ar)3.998 E(g)-.37 E F0 1.168(is e)3.888 F -.15(xe)-.15 G 1.167
-(cuted before e).15 F -.15(ve)-.25 G(ry).15 E F2 1.167(simple command)
-3.667 F F0(,)A F2(for)3.667 E F0(command,)3.667 E F2(case)3.667 E F0
-(com-)3.667 E(mand,)144 369.6 Q F2(select)2.646 E F0 .146(command, e)
-2.646 F -.15(ve)-.25 G .146(ry arithmetic).15 F F2(for)2.646 E F0 .147
-(command, and before the \214rst command e)2.646 F -.15(xe)-.15 G .147
-(cutes in a).15 F .146(shell function \(see)144 381.6 R F3 .146
-(SHELL GRAMMAR)2.646 F F0(abo)2.396 E -.15(ve)-.15 G 2.646(\). Refer).15
-F .146(to the description of the)2.646 F F1(extdeb)2.645 E(ug)-.2 E F0
-.145(option to)2.645 F(the)144 393.6 Q F1(shopt)3.2 E F0 -.2(bu)3.2 G .7
-(iltin for details of its ef).2 F .7(fect on the)-.25 F F1(DEB)3.2 E(UG)
--.1 E F0 3.2(trap. If)3.2 F(a)3.2 E F2(sigspec)3.54 E F0(is)3.51 E F3
-(RETURN)3.2 E F4(,)A F0 .701(the com-)2.951 F(mand)144 405.6 Q F2(ar)
-3.474 E(g)-.37 E F0 .644(is e)3.364 F -.15(xe)-.15 G .643
+/F3 9/Times-Bold@0 SF(SIG)2.5 E F0(pre\214x is optional.)2.25 E 1.649
+(If a)144 345.6 R F2(sigspec)4.489 E F0(is)4.459 E F3(EXIT)4.149 E F0
+1.649(\(0\) the command)3.899 F F2(ar)4.479 E(g)-.37 E F0 1.649(is e)
+4.369 F -.15(xe)-.15 G 1.649(cuted on e).15 F 1.648(xit from the shell.)
+-.15 F 1.648(If a)6.648 F F2(sigspec)4.488 E F0(is)4.458 E F3(DEB)144
+357.6 Q(UG)-.09 E/F4 9/Times-Roman@0 SF(,)A F0 1.167(the command)3.417 F
+F2(ar)3.997 E(g)-.37 E F0 1.167(is e)3.887 F -.15(xe)-.15 G 1.167
+(cuted before e).15 F -.15(ve)-.25 G(ry).15 E F2 1.168(simple command)
+3.667 F F0(,)A F2(for)3.668 E F0(command,)3.668 E F2(case)3.668 E F0
+(com-)3.668 E(mand,)144 369.6 Q F2(select)2.647 E F0 .147(command, e)
+2.647 F -.15(ve)-.25 G .147(ry arithmetic).15 F F2(for)2.647 E F0 .146
+(command, and before the \214rst command e)2.647 F -.15(xe)-.15 G .146
+(cutes in a).15 F .145(shell function \(see)144 381.6 R F3 .145
+(SHELL GRAMMAR)2.645 F F0(abo)2.395 E -.15(ve)-.15 G 2.646(\). Refer).15
+F .146(to the description of the)2.646 F F1(extdeb)2.646 E(ug)-.2 E F0
+.146(option to)2.646 F(the)144 393.6 Q F1(shopt)3.201 E F0 -.2(bu)3.201
+G .7(iltin for details of its ef).2 F .7(fect on the)-.25 F F1(DEB)3.2 E
+(UG)-.1 E F0 3.2(trap. If)3.2 F(a)3.2 E F2(sigspec)3.54 E F0(is)3.51 E
+F3(RETURN)3.2 E F4(,)A F0 .7(the com-)2.95 F(mand)144 405.6 Q F2(ar)
+3.473 E(g)-.37 E F0 .643(is e)3.363 F -.15(xe)-.15 G .643
 (cuted each time a shell function or a script e).15 F -.15(xe)-.15 G
-.643(cuted with the).15 F F1(.)3.143 E F0(or)3.143 E F1(sour)3.143 E(ce)
--.18 E F0 -.2(bu)3.143 G(iltins).2 E(\214nishes e)144 417.6 Q -.15(xe)
--.15 G(cuting.).15 E .96(If a)144 435.6 R F2(sigspec)3.8 E F0(is)3.77 E
-F3(ERR)3.46 E F4(,)A F0 .96(the command)3.21 F F2(ar)3.791 E(g)-.37 E F0
-.961(is e)3.681 F -.15(xe)-.15 G .961(cuted whene).15 F -.15(ve)-.25 G
-3.461(rap).15 G .961(ipeline \(which may consist of a)-3.461 F .185(sin\
-gle simple command\), a list, or a compound command returns a non\255ze\
-ro e)144 447.6 R .184(xit status, subject to)-.15 F .451(the follo)144
-459.6 R .451(wing conditions.)-.25 F(The)5.451 E F3(ERR)2.951 E F0 .451
-(trap is not e)2.701 F -.15(xe)-.15 G .451(cuted if the f).15 F .452
-(ailed command is part of the com-)-.1 F .388
-(mand list immediately follo)144 471.6 R .388(wing a)-.25 F F1(while)
-2.888 E F0(or)2.888 E F1(until)2.888 E F0 -.1(ke)2.888 G(yw)-.05 E .388
-(ord, part of the test in an)-.1 F F2(if)2.897 E F0 .387
-(statement, part)4.847 F .777(of a command e)144 483.6 R -.15(xe)-.15 G
+.644(cuted with the).15 F F1(.)3.144 E F0(or)3.144 E F1(sour)3.144 E(ce)
+-.18 E F0 -.2(bu)3.144 G(iltins).2 E(\214nishes e)144 417.6 Q -.15(xe)
+-.15 G(cuting.).15 E .961(If a)144 435.6 R F2(sigspec)3.801 E F0(is)
+3.771 E F3(ERR)3.461 E F4(,)A F0 .961(the command)3.211 F F2(ar)3.791 E
+(g)-.37 E F0 .961(is e)3.681 F -.15(xe)-.15 G .961(cuted whene).15 F
+-.15(ve)-.25 G 3.461(ra).15 G .96(pipeline \(which may consist of a)
+-.001 F .185(single simple command\), a list, or a compound command ret\
+urns a non\255zero e)144 447.6 R .185(xit status, subject to)-.15 F .452
+(the follo)144 459.6 R .452(wing conditions.)-.25 F(The)5.452 E F3(ERR)
+2.952 E F0 .451(trap is not e)2.701 F -.15(xe)-.15 G .451
+(cuted if the f).15 F .451(ailed command is part of the com-)-.1 F .387
+(mand list immediately follo)144 471.6 R .387(wing a)-.25 F F1(while)
+2.887 E F0(or)2.887 E F1(until)2.888 E F0 -.1(ke)2.888 G(yw)-.05 E .388
+(ord, part of the test in an)-.1 F F2(if)2.898 E F0 .388
+(statement, part)4.848 F .778(of a command e)144 483.6 R -.15(xe)-.15 G
 .778(cuted in a).15 F F1(&&)3.278 E F0(or)3.278 E F1(||)3.278 E F0 .778
 (list e)3.278 F .778(xcept the command follo)-.15 F .778
-(wing the \214nal)-.25 F F1(&&)3.278 E F0(or)3.278 E F1(||)3.278 E F0
-3.278(,a)C -.15(ny)-3.278 G 1.28(command in a pipeline b)144 495.6 R
+(wing the \214nal)-.25 F F1(&&)3.278 E F0(or)3.278 E F1(||)3.277 E F0
+3.277(,a)C -.15(ny)-3.277 G 1.28(command in a pipeline b)144 495.6 R
 1.28(ut the last, or if the command')-.2 F 3.78(sr)-.55 G 1.28(eturn v)
 -3.78 F 1.28(alue is being in)-.25 F -.15(ve)-.4 G 1.28(rted using).15 F
 F1(!)3.78 E F0(.)A(These are the same conditions obe)144 507.6 Q
